package jp.sourceforge.orangesignal.ta.candle;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class ShadowTypeTest {

	@Test
	public void values() {
		final ShadowType[] values = ShadowType.values();
		for (final ShadowType value : values) {
			switch (value) {
				case LONG: case SHORT: case NO:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
